Bug 76097 - smartctl/smartd missing man pages
smartctl/smartd missing man pages
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-16 16:06 EDT by Bruce Allen
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-20 10:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Allen 2002-10-16 16:06:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
These are extremely useful utilities that can be used to monitor
hard disk reliability (in particular the SMART features of most
modern ATA hard disks).  Unfortunately the redhat release left out the man pages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install kernel-utils-2.4-7.4
2.man smartctl (fails)
3.man smartd (fails)

Actual Results:  No man pages

Additional info:

The original utilities are available from here:

Versions with some of the bugs fixed and improved (& consistent) 
documentation can be found here:

The latter package also fixes an potential buffer overflow vulnerability
in the smartd and smartctl, which copy an arbitrary-length user input
into a fixed-length 256 byte buffer in ParseOpts. 
This is replaced by a calls to getopt().
I don't think that the buffer overflow is exploitable since the code doesn't
normally run as SUID root, but I am not expert and am not sure

Note You need to log in before you can comment on or make changes to this bug.